random failure in test_bug_406857.js | Unexpected download state change received, state: 2

RESOLVED WORKSFORME

Status

()

defect
RESOLVED WORKSFORME
10 years ago
7 years ago

People

(Reporter: mak, Unassigned)

Tracking

({intermittent-failure})

Trunk
All
Windows XP
Points:
---

Firefox Tracking Flags

(Not tracked)

Details

http://tinderbox.mozilla.org/showlog.cgi?log=Firefox-Unittest/1254233356.1254234969.30800.gz
WINNT 5.2 mozilla-central test opt everythingelse on 2009/09/29 07:09:16

TEST-UNEXPECTED-FAIL | e:\builds\moz2_slave\mozilla-central-win32-opt-unittest-everythingelse\build\xpcshell\tests\test_dm\unit\test_bug_406857.js | test failed (with xpcshell return code: 0), see following log:
  >>>>>>>
  TEST-INFO | (xpcshell/head.js) | test 1 pending
*** Throwing trying to get ProfD
*** Throwing trying to get CurProcD
*** Throwing trying to get UHist
*** Throwing trying to get TmpD
*** Throwing trying to get cachePDir
*** Throwing trying to get ProfLD
*** Throwing trying to get cachePDir
TEST-INFO | (xpcshell/head.js) | test 2 pending
TEST-INFO | (xpcshell/head.js) | test 2 finished
TEST-INFO | (xpcshell/head.js) | running event loop
TEST-UNEXPECTED-FAIL | e:/builds/moz2_slave/mozilla-central-win32-opt-unittest-everythingelse/build/xpcshell/tests/test_dm/unit/test_bug_406857.js | Unexpected download state change received, state: 2 - See following stack:
JS frame :: e:\builds\moz2_slave\mozilla-central-win32-opt-unittest-everythingelse\build\xpcshell\head.js :: do_throw :: line 197
JS frame :: e:/builds/moz2_slave/mozilla-central-win32-opt-unittest-everythingelse/build/xpcshell/tests/test_dm/unit/test_bug_406857.js :: anonymous :: line 91
TEST-INFO | (xpcshell/head.js) | exiting test
Whiteboard: [orange]
WINNT 5.2 mozilla-central debug test xpcshell on 2010/02/25 13:39:45

http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1267133985.1267137427.26623.gz
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1268045529.1268047856.8789.gz
WINNT 5.2 mozilla-central debug test xpcshell on 2010/03/08 02:52:09
s: win32-slave41
Summary: random failure in test_bug_406857.js → random failure in test_bug_406857.js | Unexpected download state change received, state: 2
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Mass marking whiteboard:[orange] bugs WFM (to clean up TBPL bug suggestions) that:
* Haven't changed in > 6months
* Whose whiteboard contains none of the strings: {disabled,marked,random,fuzzy,todo,fails,failing,annotated,leave open,time-bomb}
* Passed a (quick) manual inspection of bug summary/whiteboard to ensure they weren't a false positive.

I've also gone through and searched for cases where the whiteboard wasn't labelled correctly after test disabling, by using attachment description & basic comment searches. However if the test for which this bug was about has in fact been disabled/annotated/..., please accept my apologies & reopen/mark the whiteboard appropriately so this doesn't get re-closed in the future (and please ping me via IRC or email so I can try to tweak the saved searches to avoid more edge cases).

Sorry for the spam! Filter on: #FFA500
Status: NEW → RESOLVED
Last Resolved: 7 years ago
Resolution: --- → WORKSFORME
Whiteboard: [orange]
You need to log in before you can comment on or make changes to this bug.